中危 librdf raptor_rdf_syntax_library 堆缓冲区溢出

CVE编号

CVE-2020-25713

利用情况

暂无

补丁情况

官方补丁

披露时间

2021-05-13
漏洞描述
A malformed input file can lead to a segfault due to an out of bounds array access in raptor_xml_writer_start_element_common.
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 librdf raptor_rdf_syntax_library 2.0.15 -
运行在以下环境
系统 alibaba_cloud_linux_3 raptor2 * Up to
(excluding)
2.0.15-16.1.al8
运行在以下环境
系统 alma_linux_8 raptor2 * Up to
(excluding)
2.0.15-16.el8
运行在以下环境
系统 alpine_3.13 raptor2 * Up to
(excluding)
2.0.15-r3
运行在以下环境
系统 alpine_3.14 raptor2 * Up to
(excluding)
2.0.15-r3
运行在以下环境
系统 alpine_3.15 raptor2 * Up to
(excluding)
2.0.15-r3
运行在以下环境
系统 alpine_3.16 raptor2 * Up to
(excluding)
2.0.15-r3
运行在以下环境
系统 alpine_3.17 raptor2 * Up to
(excluding)
2.0.15-r3
运行在以下环境
系统 alpine_3.18 raptor2 * Up to
(excluding)
2.0.15-r3
运行在以下环境
系统 alpine_3.19 raptor2 * Up to
(excluding)
2.0.15-r3
运行在以下环境
系统 debian_10 raptor2 * Up to
(excluding)
2.0.14-1.1~deb10u2
运行在以下环境
系统 debian_11 raptor2 * Up to
(excluding)
2.0.14-1.2
运行在以下环境
系统 debian_12 raptor2 * Up to
(excluding)
2.0.14-1.2
运行在以下环境
系统 debian_9 raptor2 * Up to
(excluding)
2.0.14-1+deb9u2
运行在以下环境
系统 fedora_32 raptor2 * Up to
(excluding)
2.0.15-27.fc32
运行在以下环境
系统 fedora_33 raptor2 * Up to
(excluding)
2.0.15-27.fc33
运行在以下环境
系统 kylinos_aarch64_V10SP1 raptor2 * Up to
(excluding)
2.0.15-19.ky10
运行在以下环境
系统 kylinos_aarch64_V10SP2 raptor2 * Up to
(excluding)
2.0.15-19.ky10
运行在以下环境
系统 kylinos_loongarch64_V10SP1 raptor2 * Up to
(excluding)
2.0.15-19.a.ky10
运行在以下环境
系统 kylinos_x86_64_V10SP1 raptor2 * Up to
(excluding)
2.0.15-19.ky10
运行在以下环境
系统 kylinos_x86_64_V10SP2 raptor2 * Up to
(excluding)
2.0.15-19.ky10
运行在以下环境
系统 opensuse_Leap_15.3 raptor * Up to
(excluding)
0-2.0.15-150200.9.12.1
运行在以下环境
系统 opensuse_Leap_15.4 raptor * Up to
(excluding)
0-2.0.15-150200.9.12.1
运行在以下环境
系统 oracle_8 raptor2 * Up to
(excluding)
2.0.15-16.el8
运行在以下环境
系统 redhat_8 raptor2 * Up to
(excluding)
2.0.15-16.el8
运行在以下环境
系统 rocky_linux_8 raptor2 * Up to
(excluding)
2.0.15-16.el8
运行在以下环境
系统 suse_12_SP5 libraptor2 * Up to
(excluding)
0-2.0.15-5.6.1
阿里云评分
5.6
  • 攻击路径
    本地
  • 攻击复杂度
    困难
  • 权限要求
    无需权限
  • 影响范围
    N/A
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    N/A
  • 服务器危害
    服务器失陷
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-122 堆缓冲区溢出
CWE-125 跨界内存读
CWE-20 输入验证不恰当
CWE-787 跨界内存写
阿里云安全产品覆盖情况